Subject: Re: [PATCH] fsmonitor-watchman: fix variable reference and remove redundant code

From: Paul Tarjan <[email-masked]>
Date: Sat, 28 Feb 2026 10:33:10 -0700

"brian m. carlson" <[email-masked]> writes:

> This looks like it was written by an LLM.  Is that the case, and if so,
> how does it line up with https://git-scm.com/docs/SubmittingPatches#ai?

I found these bugs during code review at my company where we use
the watchman hook. The $output vs $o mixup and the double
output_result() from the recursive call were both causing real
issues. I used Claude to help with the mechanics of formatting
and submitting the patch, and it ended up as the commit author,
which was a mistake on my part. I'll fix that in v2 with myself
as the author.

Thanks for flagging it,
Paul